package ebai

import (
	"testing"

	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/business/jxutils/jxcontext"

	_ "git.rosy.net.cn/jx-callback/business/jxcallback/orderman"
	_ "git.rosy.net.cn/jx-callback/business/jxcallback/scheduler/defsch"
)

func TestGetPageActList(t *testing.T) {
	actList, err := new(PurchaseHandler).GetPageActList(jxcontext.AdminCtx, utils.DefaultTimeValue)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(actList, false))
	t.Log(len(actList))
}

func TestGetPageActSkuList(t *testing.T) {
	actList, err := new(PurchaseHandler).GetPageActSkuList(jxcontext.AdminCtx, "3000000001477429")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(actList, false))
}
